# ModifiedNode | xrpl
Documentation for xrpl

# Interface ModifiedNode

#### Hierarchy

- ModifiedNode

- Defined in packages/xrpl/src/models/transactions/metadata.ts:11

#####
Index

### Properties

ModifiedNode

## Properties

### ModifiedNode

ModifiedNode: {
FinalFields?: {
[field: string]: unknown;
};
LedgerEntryType: string;
LedgerIndex: string;
PreviousFields?: {
[field: string]: unknown;
};
PreviousTxnID?: string;
PreviousTxnLgrSeq?: number;
}

#### Type declaration

- ##### `Optional` FinalFields?: {
  [field: string]: unknown;
  }

  - ##### [field: string]: unknown

- ##### LedgerEntryType: string

- ##### LedgerIndex: string

- ##### `Optional` PreviousFields?: {
  [field: string]: unknown;
  }

  - ##### [field: string]: unknown

- ##### `Optional` PreviousTxnID?: string

- ##### `Optional` PreviousTxnLgrSeq?: number

- Defined in packages/xrpl/src/models/transactions/metadata.ts:12

Generated using TypeDoc